Subject: Military Pen Used as a WEAPON (Available to Public).

From: "Self-Defense Pen" <[email-masked]>
Date: Tue, 11 Oct 2016 17:07:48 -0700

This communication for [email-masked] must be reviewed with html.